PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
cy_nn_lstm_params Struct Reference

## Description

Parameters for integer LSTM, as defined in TFLM.

## Data Fields
int32_t | time_major
| Nonzero (true) if first row of data is timestamps for input.
cy_nn_scaling | input_to_input_scaling
cy_nn_scaling | input_to_forget_scaling
cy_nn_scaling | input_to_cell_scaling
cy_nn_scaling | input_to_output_scaling
cy_nn_scaling | recurrent_to_input_scaling
cy_nn_scaling | recurrent_to_forget_scaling
cy_nn_scaling | recurrent_to_cell_scaling
cy_nn_scaling | recurrent_to_output_scaling
cy_nn_scaling | hidden_scaling
int32_t | cell_state_shift
int32_t | hidden_offset
int32_t | output_state_offset
int32_t | input_offset
const int32_t * | input_gate_bias
const int32_t * | forget_gate_bias
const int32_t * | cell_gate_bias
const int32_t * | output_gate_bias

## Field Documentation

## ◆ time_major

int32_t cy_nn_lstm_params::time_major

Nonzero (true) if first row of data is timestamps for input.

## ◆ input_to_input_scaling

cy_nn_scaling cy_nn_lstm_params::input_to_input_scaling

## ◆ input_to_forget_scaling

cy_nn_scaling cy_nn_lstm_params::input_to_forget_scaling

## ◆ input_to_cell_scaling

cy_nn_scaling cy_nn_lstm_params::input_to_cell_scaling

## ◆ input_to_output_scaling

cy_nn_scaling cy_nn_lstm_params::input_to_output_scaling

## ◆ recurrent_to_input_scaling

cy_nn_scaling cy_nn_lstm_params::recurrent_to_input_scaling

## ◆ recurrent_to_forget_scaling

cy_nn_scaling cy_nn_lstm_params::recurrent_to_forget_scaling

## ◆ recurrent_to_cell_scaling

cy_nn_scaling cy_nn_lstm_params::recurrent_to_cell_scaling

## ◆ recurrent_to_output_scaling

cy_nn_scaling cy_nn_lstm_params::recurrent_to_output_scaling

## ◆ hidden_scaling

cy_nn_scaling cy_nn_lstm_params::hidden_scaling

## ◆ cell_state_shift

int32_t cy_nn_lstm_params::cell_state_shift

## ◆ hidden_offset

int32_t cy_nn_lstm_params::hidden_offset

## ◆ output_state_offset

int32_t cy_nn_lstm_params::output_state_offset

## ◆ input_offset

int32_t cy_nn_lstm_params::input_offset

## ◆ input_gate_bias

const int32_t* cy_nn_lstm_params::input_gate_bias

## ◆ forget_gate_bias

const int32_t* cy_nn_lstm_params::forget_gate_bias

## ◆ cell_gate_bias

const int32_t* cy_nn_lstm_params::cell_gate_bias

## ◆ output_gate_bias

const int32_t* cy_nn_lstm_params::output_gate_bias